Bug 781082 - (SOA-3572) Incorrect host used in ESB binding service
Incorrect host used in ESB binding service
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.2.0 GA
Unspecified Unspecified
high Severity high
: ER1
: 5.3.0 GA
Assigned To: Default User
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-10 10:51 EST by Pavel Macik
Modified: 2012-06-12 19:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The incorrect host was used in the ESB binding service. The value of esbHost was set to jboss.bind.address instead of jboss.esb.bind.address.This caused a problem when the server was started with the -b 0.0.0.0 option,(allowing it to bind to any interface). To fix this problem, the name was changed and binding now works as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3733 Major Closed Incorrect host used in ESB binding service 2012-11-12 09:05:07 EST
JBoss Issue Tracker SOA-3572 Major Closed Incorrect host used in ESB binding service 2012-11-12 09:05:09 EST

  None (edit)
Description Pavel Macik 2011-11-10 10:51:48 EST
Workaround: Workaround Exists
Workaround Description: Edit conf/bindingservice.beans/META-INF/bindings-jboss-beans.xml and replace the esbHost definitions so that they refer to jboss.esb.bind.address i.e.

               <map keyClass="java.lang.String" valueClass="java.lang.String">
                   <entry>
                      <key>esbHost</key>
                      <value>${jboss.esb.bind.address}</value>
                   </entry>
               </map>

and

              <map keyClass="java.lang.String" valueClass="java.lang.String">
                  <entry>
                     <key>esbHost</key>
                     <value>${jboss.esb.bind.address}</value>
                  </entry>
                  <entry>
                      <key>webPort</key>
                      <value>${org.jboss.esb.web.port}</value>
                   </entry>
              </map>
project_key: SOA

The binding information for the ESB services refers to jboss.bind.address as the value of esbHost rather than jboss.esb.bind.address.

The difference between the two is evident when the server is started with the -b 0.0.0.0 option, i.e. binding to any interface, as the value of the processed esb.juddi.properties and jbossesb-properties.xml will contain 0.0.0.0 for juddi.server.baseurl and 
org.jboss.soa.esb.jndi.server.url respectively.

The ESB should be using an explicit interface which is what the jboss.esb.bind.address represents.
Comment 1 Kevin Conner 2011-11-10 10:53:56 EST
Workaround Description: Added: Edit conf/bindingservice.beans/META-INF/bindings-jboss-beans.xml and replace the esbHost definitions so that they refer to jboss.esb.bind.address i.e.

               <map keyClass="java.lang.String" valueClass="java.lang.String">
                   <entry>
                      <key>esbHost</key>
                      <value>${jboss.esb.bind.address}</value>
                   </entry>
               </map>

and

              <map keyClass="java.lang.String" valueClass="java.lang.String">
                  <entry>
                     <key>esbHost</key>
                     <value>${jboss.esb.bind.address}</value>
                  </entry>
                  <entry>
                      <key>webPort</key>
                      <value>${org.jboss.esb.web.port}</value>
                   </entry>
              </map>
Workaround: Added: Workaround Exists
Comment 2 JBoss JIRA Server 2012-02-16 13:52:18 EST
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3733 to Resolved
Comment 3 JBoss JIRA Server 2012-02-16 13:52:18 EST
Tom Cunningham <tcunning@redhat.com> made a comment on jira JBESB-3733

Changed references to jboss.bind.address.
Comment 4 JBoss JIRA Server 2012-02-16 13:52:23 EST
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3733 to Closed
Comment 5 JBoss JIRA Server 2012-02-16 13:52:38 EST
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3733 to Reopened
Comment 6 JBoss JIRA Server 2012-02-16 13:52:43 EST
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3733 to Resolved
Comment 7 JBoss JIRA Server 2012-02-16 13:52:47 EST
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3733 to Closed
Comment 8 tcunning 2012-04-05 11:48:22 EDT
Should be in ER1, see JBESB-3733 for details.
Comment 9 David Le Sage 2012-06-06 00:41:10 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The incorrect host was used in the ESB binding service.  The value of esbHost was set to jboss.bind.address instead of  jboss.esb.bind.address.This caused a problem when the server was started with the  -b 0.0.0.0 option,(allowing it to bind to any interface). To fix this problem, the name was changed and binding now works as expected.

Note You need to log in before you can comment on or make changes to this bug.